=== debian/changelog ===
readseq (1-16) unstable; urgency=medium

  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097779)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: remove redundant Rules-Requires-Root.
  * d/watch: migrate to untrackable v5 watch file.
  * d/control: add myself to uploaders.
  * d/get-orig-source: delete: unneeded.
  * buffer_overflow.patch: normalize Last-Update.
  * d/rules: convert Stdfiles to Unicode.
  * hardening.patch: also propagate CPPFLAGS.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Sep 2025 21:50:54 +0200

readseq (1-15) unstable; urgency=medium

  * Team upload.
  * fix-gets.patch: new: replace gets by fgets. (Closes: #1066478)
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Mar 2024 22:07:41 +0100

readseq (1-14) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 20:20:15 +0100

readseq (1-13) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix tests
  * Add autopkgtest
    Closes: #890784
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 23 Jun 2018 12:29:20 +0200

readseq (1-12) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Moved debian/upstream to debian/upstream/metadata
  * debhelper 10
  * Standards-Version: 4.1.1
  * Add fake watch file
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 16:18:41 +0100

readseq (1-11) unstable; urgency=medium

  * debian/patches/buffer_overflow.patch: Fix buffer overflow (thanks to
    Michael Bienia <geser@ubuntu.com> for the patch)
    Closes: #733650

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2013 15:38:41 +0100

readseq (1-10) unstable; urgency=low

  * debian/upstream: citation information
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs URLs
  * debian/README.source: removed because redundant
  * debian/patches/enable_tests.patch: Fix test target
  * debian/patches/hardening.patch: Propagate hardening options
  * debian/copyright: DEP5
  * provide test after installing the package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2013 14:22:50 +0100

readseq (1-9) unstable; urgency=low

  * Remove [Biology] from description
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * debian/get-orig-source: Make sure repackaging is binary reproducible
  * Fixed Vcs fields
  * Debhelper 8 (control+compat)
  * debian/rules: switch to short dh syntax
  * debian/patches/gcc-4.6_format-security.patch: Fix format-security issue
    Closes: #643465
  * debian/dirs: Create dirs used by dh_auto_install

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2011 16:15:21 +0200

readseq (1-8) unstable; urgency=low

  [ Charles Plessy ]
  * DM-Upload-Allowed: Yes

  [ Andreas Tille ]
  * Added Vcs-Browser, Vcs-Svn
  * Standards-Version: 3.8.3 (added README.source)
  * Debhelper 7
  * Switch to quilt
  * debian/patches/552830.patch: Patch from Ruben Molina <rmolina@udea.edu.co>
    to fix build problem (thanks to Ruben), changed one last remaining of
    getline myself
    Closes: #552830

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2009 12:31:49 +0100

readseq (1-7) unstable; urgency=low

  * Group maintainance by Debian-Med packaging group
  * Build-Depends: debhelper (>= 5.0)
  * Standards-Version: 3.7.2 (no changes necessary)
  * Switched to dpatch, cdbs
  * Added get-orig-source target
  * Moved manpage to Debian directory
  * debian/control: Homepage tag

 -- Andreas Tille <tille@debian.org>  Sat, 17 Nov 2007 23:04:00 +0100

readseq (1-6) unstable; urgency=low

  * Fixed amd64 bug (segfaults when command line options given), thanks to
    a hint by the ncbi6 maintainer. Closes: #269643.

 -- Michael Schmitz <schmitz@debian.org>  Tue, 26 Oct 2004 18:12:15 +0100

readseq (1-5) unstable; urgency=low

  * Fixed bug in format detection that did result in readseq incorrectly
    claiming LinAll format files whose title begins with a number as
    Phylip format. Bug spotted locally and fixed by Gerhard Steger
    <steger@biophys.uni-duesseldorf.de>.

 -- Michael Schmitz <schmitz@debian.org>  Thu, 12 Jun 2003 17:55:15 +0100

readseq (1-4) unstable; urgency=low

  * New Maintainer (took over from Andreas Tille 'cuz readseq is actually
    in use at our site).

  * Added LinAll and Vienna RNA formats.

 -- Michael Schmitz <schmitz@debian.org>  Thu, 07 Nov 2002 16:55:05 +0100

readseq (1-3) unstable; urgency=low

  * Corrected spelling bug (Thanks to Matt Zimmerman <mdz@debian.org>)
    closes: #125305

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2001 12:03:25 +0100

readseq (1-2) unstable; urgency=low

  * compile explicitely with -lncbiid1 and -lnetcli according to a hint of
    ncbi-tools6 maintainer  Aaron M. Ucko <ucko@debian.org>
    (Thanks Aaron)
    closes: #119586

 -- Andreas Tille <tille@debian.org>  Thu, 15 Nov 2001 17:01:18 +0100

readseq (1-1) unstable; urgency=low

  * New Maintainer
    closes: #100257
  * New upstream release
  * Applied Bugfix  20Apr93
  * Applied fixes from former versions
  * Added debian/translate.patch to the sources for those brave people
    who want to test it (please report if I should apply it to the binary)
  * Replaced a gets call by fgets to avoid buffer overflow
  * increased  p.namewidth from 8 to 10 in ureadseq.h because Arb need this
  * Added patch by o. strunk (ARB) to allow numbers in genbank sequences
    to ureadseq.c

