=== debian/control ===
Source: readseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ncbi-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/readseq
Vcs-Git: https://salsa.debian.org/med-team/readseq.git
Homepage: http://iubio.bio.indiana.edu/soft/molbio/readseq/

Package: readseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Conversion between sequence formats
 Reads and writes nucleic/protein sequences in various
 formats. Data files may have multiple sequences.
 Readseq is particularly useful as it automatically detects many
 sequence formats, and converts between them.
