=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for readseq
# Andreas Tille <tille@debian.org>, GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_clean:
	rm -f readseq

DOCDIR = $(CURDIR)/debian/readseq/usr/share/doc/readseq
execute_after_dh_installdocs:
	iconv -f ISO-8859-1 -t UTF-8 \
	< $(DOCDIR)/Stdfiles \
	> $(DOCDIR)/Stdfiles.converted
	mv -vf $(DOCDIR)/Stdfiles.converted $(DOCDIR)/Stdfiles
