=== debian/tests/control ===
Tests: Makefile
Depends: @
Restrictions: allow-stderr
