=== debian/watch ===
Version: 5
Untrackable: upstream vanished.

Source: http://iubio.bio.indiana.edu/soft/molbio/readseq/
